Exchange an email and password for a session token.
curl --request POST \
--url https://api.symbiosis.markets/auth/login \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.symbiosis.markets/auth/login"
payload = {
"email": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>'})
};
fetch('https://api.symbiosis.markets/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"kyc_challenge": "<string>",
"token": "<string>",
"totp_challenge": "<string>"
}Auth
Exchange an email and password for a session token.
Requires a verified email. With TOTP enabled, the response carries a short-lived totp_challenge to finish via POST /auth/login/totp. Until the account is KYC-approved, it carries a kyc_challenge for the /auth/kyc routes instead of a token. View-only accounts get a read-only token without KYC.
POST
/
auth
/
login
Exchange an email and password for a session token.
curl --request POST \
--url https://api.symbiosis.markets/auth/login \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.symbiosis.markets/auth/login"
payload = {
"email": "<string>",
"password": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>'})
};
fetch('https://api.symbiosis.markets/auth/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"kyc_challenge": "<string>",
"token": "<string>",
"totp_challenge": "<string>"
}